package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.Sprite;

public class SimpleSprite extends Sprite {
    public SimpleSprite(String resource) {
        loadResource(resource);
    }

    public String getSprite() {
        return getResource().replaceAll("\033\\[38;5;1;48;5;16m", "\033[49m");
    }

    public String getSprite(Enum key) {
        throw new RuntimeException("Impossible state");
    }
}
